## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectInputStream.EClassData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectInputStream.EClassData

Enclosing class:
  BinaryResourceImpl.EObjectInputStream

    protected static class BinaryResourceImpl.EObjectInputStream.EClassData

extends java.lang.Object

Field Summary
`EClass` `eClass`
`EFactory` `eFactory`
`BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData[]` `eStructuralFeatureData`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectInputStream.EClassData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eClass

    public EClass eClass

### eFactory

    public EFactory eFactory

### eStructuralFeatureData

    public BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData[] eStructuralFeatureData

Constructor Detail

### BinaryResourceImpl.EObjectInputStream.EClassData

    protected BinaryResourceImpl.EObjectInputStream.EClassData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.